#include "btree.h"
#include "global.h"
#include "sym.h"



#ifdef NO_INLINE
static void GlobalOrder(unsigned char * tmp0, unsigned char * tmp1, unsigned char * tmp2, struct MSV * svPtr) {
#else
static inline void GlobalOrder(unsigned char * tmp0, unsigned char * tmp1, unsigned char * tmp2, struct MSV * svPtr) {
#endif

    for (int i=0; tmp0[i]!=0; i++) if (tmp0[i]>127) tmp0[i]=1;

    if (tmp2==NULL) {
        Mglobal(ORDERNEXT,tmp0,tmp1,svPtr);
        return;
        }

    if (strcmp( (char *) tmp2,"1")==0) {
        Mglobal(ORDERNEXT,tmp0,tmp1,svPtr);
        return;
        }

    if (strcmp( (char *) tmp2,"-1")==0) {
        Mglobal(ORDERPREV,tmp0,tmp1,svPtr);
        return;
        }

    ErrorMessage("$order() second argument incorrect",svPtr->LineNumber);
    }


